Skip to main content
GET
/
api
/
ai
/
video
/
generations
Video Task List
curl --request GET \
  --url https://aitoearn.cn/api/ai/video/generations \
  --header 'X-Api-Key: <api-key>'
{
  "code": 0,
  "message": "Request succeeded",
  "data": {
    "page": 1,
    "pageSize": 1,
    "totalPages": 1,
    "total": 1,
    "list": [
      {
        "id": "string",
        "model": "string",
        "status": "string",
        "input": {
          "prompt": "string",
          "groupId": "string",
          "image": {},
          "images": [
            {}
          ],
          "audios": [
            {}
          ],
          "duration": 1,
          "aspectRatio": "string",
          "resolution": "string",
          "videoUrl": "string",
          "videos": [
            {}
          ]
        },
        "submittedAt": "2026-07-02T12:00:00.000Z",
        "startedAt": "2026-07-02T12:00:00.000Z",
        "videoUrl": "string",
        "coverUrl": "string",
        "mediaId": "string",
        "groupId": "string",
        "error": {
          "message": "string"
        },
        "finishedAt": "2026-07-02T12:00:00.000Z"
      }
    ]
  }
}

Authorizations

X-Api-Key
string
header
required

Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".

Query Parameters

page
integer
default:1

Page number, starting from 1, default value 1

Required range: 1 <= x <= 9007199254740991
pageSize
integer
default:10

Number of pages per page. It is recommended to set a reasonable size based on interface restrictions. The default value is 1.

Required range: 1 <= x <= 1000

Response

200 - application/json

The request has been processed by the service. Business success is determined by whether the response body has code === 0.

code
integer
required

Business status code. 0 means success; non-zero means a business error.

message
string
required

Response message.

data
object
requestId
string

Request ID.

timestamp
integer

Error response timestamp in Unix milliseconds.